<?php

use Buzzlab\BackOffice\Router\Router;
use Buzzlab\Controllers\ActivationController;
use Buzzlab\Controllers\Admin\ContactController;

$router = new Router;

$router->router([
    'contact.export'=>[
        'method'     => 'post',
        'uri'        => 'contact_export',
        'middleware' => ['checkPlugin'],
        'action'     => [ContactController::class,'export'],
    ]
]);

// activation routes
$router->router([
    'plugin.activation'=> [
        'method'     => 'get',
        'uri'        => BUZZLAB_PLUGIN_NAME.'-activation',
        'action'     => [ActivationController::class, 'activate'],
    ]
]);