<?php buzz_layout('admin/layouts/master'); ?>


<div class="row gy-4 mb-2">
    <div class="col-xxl-3 col-sm-6">
        <div class="card bg--primary has-link box--shadow2 overflow-hidden">
            <a href="<?php echo buzz_route_link('admin.email.history'); ?>" class="item-link"></a>
            <div class="card-body">
                <div class="row align-items-center">
                    <div class="col-4">
                        <i class="las la-envelope-open f-size--56"></i>
                    </div>
                    <div class="col-8 text-end">
                        <span class="text--small text-white"> <?php esc_html_e('Processed Email', BUZZLAB_PLUGIN_NAME); ?></span>
                        <h2 class="text-white"><?php esc_html_e($widget['total_processed_email']) ?></h2>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-xxl-3 col-sm-6">
        <div class="card bg--success has-link box--shadow2">
            <a href="<?php echo buzz_route_link('admin.email.history') ?>&amp;status=1" class="item-link"></a>
            <div class="card-body">
                <div class="row align-items-center">
                    <div class="col-4">
                        <i class="las la-inbox f-size--56"></i>
                    </div>
                    <div class="col-8 text-end">
                        <span class="text--small text-white"><?php esc_html_e('Successful Email', BUZZLAB_PLUGIN_NAME); ?></span>
                        <h2 class="text-white"><?php esc_html_e($widget['total_success_email']) ?></h2>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-xxl-3 col-sm-6">
        <div class="card bg--warning has-link box--shadow2">
            <a href="<?php echo buzz_route_link('admin.email.history') ?>&amp;status=2" class="item-link"></a>
            <div class="card-body">
                <div class="row align-items-center">
                    <div class="col-4">
                        <i class="las la-envelope-open-text f-size--56"></i>
                    </div>
                    <div class="col-8 text-end">
                        <span class="text--small text-white"><?php esc_html_e('Pending Email', BUZZLAB_PLUGIN_NAME); ?></span>
                        <h2 class="text-white"><?php esc_html_e($widget['total_pending_email']) ?></h2>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-xxl-3 col-sm-6">
        <div class="card bg--red has-link box--shadow2">
            <a href="<?php echo buzz_route_link('admin.email.history') ?>&amp;status=9" class="item-link"></a>
            <div class="card-body">
                <div class="row align-items-center">
                    <div class="col-4">
                        <i class="las la-comment-slash f-size--56"></i>
                    </div>
                    <div class="col-8 text-end">
                        <span class="text--small text-white"><?php esc_html_e('Failed Email', BUZZLAB_PLUGIN_NAME); ?></span>
                        <h2 class="text-white"><?php esc_html_e($widget['total_failed_email']) ?></h2>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row gy-4">
    <div class="col-xxl-3 col-sm-6">
        <div class="card bg--info has-link box--shadow2 overflow-hidden">
            <a href="<?php echo buzz_route_link('admin.sms.history') ?>" class="item-link"></a>
            <div class="card-body">
                <div class="row align-items-center">
                    <div class="col-4">
                        <i class="las la-sms f-size--56"></i>
                    </div>
                    <div class="col-8 text-end">
                        <span class="text--small text-white"><?php esc_html_e('Processed SMS', BUZZLAB_PLUGIN_NAME); ?></span>
                        <h2 class="text-white"><?php esc_html_e($widget['total_processed_sms']) ?></h2>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-xxl-3 col-sm-6">
        <div class="card bg--green has-link box--shadow2">
            <a href="<?php echo buzz_route_link('admin.sms.history') ?>&amp;status=1" class="item-link"></a>
            <div class="card-body">
                <div class="row align-items-center">
                    <div class="col-4">
                        <i class="las la-comment f-size--56"></i>
                    </div>
                    <div class="col-8 text-end">
                        <span class="text--small text-white"><?php esc_html_e('Successful SMS', BUZZLAB_PLUGIN_NAME); ?></span>
                        <h2 class="text-white"><?php esc_html_e($widget['total_success_sms']) ?></h2>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-xxl-3 col-sm-6">
        <div class="card bg--6 has-link box--shadow2">
            <a href="<?php echo buzz_route_link('admin.sms.history') ?>&amp;status=2" class="item-link"></a>
            <div class="card-body">
                <div class="row align-items-center">
                    <div class="col-4">
                        <i class="lar la-comment-dots f-size--56"></i>
                    </div>
                    <div class="col-8 text-end">
                        <span class="text--small text-white"><?php esc_html_e('Pending SMS', BUZZLAB_PLUGIN_NAME); ?></span>
                        <h2 class="text-white"><?php esc_html_e($widget['total_pending_sms']) ?></h2>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-xxl-3 col-sm-6">
        <div class="card bg--10 has-link box--shadow2">
            <a href="<?php echo buzz_route_link('admin.sms.history') ?>&amp;status=9" class="item-link"></a>
            <div class="card-body">
                <div class="row align-items-center">
                    <div class="col-4">
                        <i class="las la-phone-slash f-size--56"></i>
                    </div>
                    <div class="col-8 text-end">
                        <span class="text--small text-white"><?php esc_html_e('Failed SMS', BUZZLAB_PLUGIN_NAME); ?></span>
                        <h2 class="text-white"><?php esc_html_e($widget['total_failed_sms']) ?></h2>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row gy-4 mt-2">
    <div class="col-xxl-3 col-sm-6">
        <div class="widget-two box--shadow2 b-radius--5 bg--white">
            <i class="fas fa-users overlay-icon text--success"></i>
            <div class="widget-two__icon b-radius--5 bg--success">
                <i class="fas fa-users"></i>
            </div>
            <div class="widget-two__content">
                <h3><?php echo $widget['total_contacts']; ?></h3>
                <p><?php esc_html_e('Total Contact', BUZZLAB_PLUGIN_NAME); ?></p>
            </div>
            <a href="<?php echo buzz_route_link('admin.contact.all'); ?>" class="widget-two__btn btn btn-outline--success">
                <?php esc_html_e('View All', BUZZLAB_PLUGIN_NAME); ?>
            </a>
        </div>
    </div>
    <!-- dashboard-w1 end -->
    <div class="col-xxl-3 col-sm-6">
        <div class="widget-two box--shadow2 b-radius--5 bg--white">
            <i class="las la-mail-bulk overlay-icon text--warning"></i>
            <div class="widget-two__icon b-radius--5 bg--warning">
                <i class="las la-mail-bulk"></i>
            </div>
            <div class="widget-two__content">
                <h3><?php echo esc_html($widget['total_email_contacts']); ?></h3>
                <p><?php esc_html_e('Total Email Contact', BUZZLAB_PLUGIN_NAME); ?></p>
            </div>
            <a href="<?php echo buzz_route_link('admin.contact.email'); ?>" class="widget-two__btn btn btn-outline--warning">
                <?php esc_html_e('View All', BUZZLAB_PLUGIN_NAME); ?>
            </a>
        </div>
    </div>
    <!-- dashboard-w1 end -->
    <div class="col-xxl-3 col-sm-6">
        <div class="widget-two box--shadow2 b-radius--5 bg--white">
            <i class="las la-phone-volume overlay-icon text--danger"></i>
            <div class="widget-two__icon b-radius--5 bg--danger">
                <i class="las la-phone-volume"></i>
            </div>
            <div class="widget-two__content">
                <h3><?php echo esc_html($widget['total_mobile_contacts']); ?></h3>
                <p><?php esc_html_e('Total SMS Contact', BUZZLAB_PLUGIN_NAME); ?></p>
            </div>
            <a href="<?php echo buzz_route_link('admin.contact.sms'); ?>" class="widget-two__btn btn btn-outline--danger">
                <?php esc_html_e('View All', BUZZLAB_PLUGIN_NAME); ?>
            </a>
        </div>
    </div>
    <!-- dashboard-w1 end -->
    <div class="col-xxl-3 col-sm-6">
        <div class="widget-two box--shadow2 b-radius--5 bg--white">
            <i class="fas fa-ban overlay-icon text--primary"></i>
            <div class="widget-two__icon b-radius--5   bg--primary  ">
                <i class="fas fa-ban"></i>
            </div>
            <div class="widget-two__content">
                <h3><?php echo $widget['total_banned_contacts']; ?></h3>
                <p><?php esc_html_e('Total Banned Contact', BUZZLAB_PLUGIN_NAME); ?></p>
            </div>
            <a href="<?php echo buzz_route_link('admin.contact.all'); ?>&amp;status=banned" class="widget-two__btn btn btn-outline--primary">
                <?php esc_html_e('View All', BUZZLAB_PLUGIN_NAME); ?>
            </a>
        </div>
    </div>
    <!-- dashboard-w1 end -->
</div><!-- /row -->

<div class="row gy-4 mt-2">
    <div class="col-xxl-3 col-sm-6">
        <div class="widget-two box--shadow2 b-radius--5 bg--white">
            <i class="fas fa-layer-group overlay-icon text--success"></i>
            <div class="widget-two__icon b-radius--5 border border--success text--success">
                <i class="fas fa-layer-group"></i>
            </div>
            <div class="widget-two__content">
                <h3><?php echo $widget['total_groups']; ?></h3>
                <p><?php esc_html_e('Total Group', BUZZLAB_PLUGIN_NAME); ?></p>
            </div>
            <a href="<?php echo buzz_route_link('admin.group.all'); ?>" class="widget-two__btn btn btn-outline--success">
                <?php esc_html_e('View All', BUZZLAB_PLUGIN_NAME); ?>
            </a>
        </div>
    </div>
    <div class="col-xxl-3 col-sm-6">
        <div class="widget-two box--shadow2 b-radius--5 bg--white">
            <i class="las la-envelope-square overlay-icon text--warning"></i>
            <div class="widget-two__icon b-radius--5 border border--warning text--warning">
                <i class="las la-envelope-square"></i>
            </div>
            <div class="widget-two__content">
                <h3><?php echo esc_html($widget['total_email_groups']); ?></h3>
                <p><?php esc_html_e('Total Email Group', BUZZLAB_PLUGIN_NAME); ?></p>
            </div>
            <a href="<?php echo buzz_route_link('admin.group.email'); ?>" class="widget-two__btn btn btn-outline--warning">
                <?php esc_html_e('View All', BUZZLAB_PLUGIN_NAME); ?>
            </a>
        </div>
    </div>
    <div class="col-xxl-3 col-sm-6">
        <div class="widget-two box--shadow2 b-radius--5 bg--white">
            <i class="las la-tty overlay-icon text--danger"></i>
            <div class="widget-two__icon b-radius--5 border border--danger text--danger">
                <i class="las la-tty"></i>
            </div>
            <div class="widget-two__content">
                <h3><?php echo esc_html($widget['total_mobile_groups']); ?></h3>
                <p><?php esc_html_e('Total SMS Group', BUZZLAB_PLUGIN_NAME); ?></p>
            </div>
            <a href="<?php echo buzz_route_link('admin.group.sms'); ?>" class="widget-two__btn btn btn-outline--danger">
                <?php esc_html_e('View All', BUZZLAB_PLUGIN_NAME); ?>
            </a>
        </div>
    </div>
    <div class="col-xxl-3 col-sm-6">
        <div class="widget-two box--shadow2 b-radius--5 bg--white">
            <i class="fas fa-ban overlay-icon text--primary"></i>
            <div class="widget-two__icon b-radius--5 border border--primary text--primary">
                <i class="fas fa-ban"></i>
            </div>
            <div class="widget-two__content">
                <h3><?php echo esc_html($widget['total_banned_groups']); ?></h3>
                <p><?php esc_html_e('Total Banned Group', BUZZLAB_PLUGIN_NAME); ?></p>
            </div>
            <a href="<?php echo buzz_route_link('admin.group.banned'); ?>" class="widget-two__btn btn btn-outline--primary">
                <?php esc_html_e('View All', BUZZLAB_PLUGIN_NAME); ?>
            </a>
        </div>
    </div>
</div>

<div class="row gy-4 mt-2">
    <div class="col-lg-12">
        <h5><?php esc_html_e('Available Email Sender', BUZZLAB_PLUGIN_NAME); ?></h5>
    </div>
    <?php foreach ($emailSender as $sender):?>
        <div class="col-xl-3 col-sm-6">
            <div class="widget-six bg--white rounded-2 box--shadow2 h-100 p-3">
                <div class="widget-six__top justify-content-center border-bottom border--<?php echo $sender ?> p-2">
                    <img src="<?php echo buzz_get_image('images/email_sender/' . strtolower($sender) . '.png') ?>" class="gateway-thumb" alt="<?php esc_html_e(ucfirst($sender)) ?>">
                </div>
                <div class="widget-six__bottom mt-3">
                    <h5><?php esc_html_e(ucfirst($sender)) ?></h5>
                    <a href="<?php echo buzz_route_link('admin.setting.notification.email'); ?>&amp;sender=<?php echo $sender ?>" class="btn btn-outline--primary btn-sm"><?php esc_html_e('Configure', BUZZLAB_PLUGIN_NAME); ?></a>
                </div>
            </div>
        </div>
    <?php endforeach ?>
</div>


<div class="row gy-4 mt-2">
    <div class="col-lg-12">
        <h5><?php esc_html_e('Available SMS Gateway', BUZZLAB_PLUGIN_NAME); ?></h5>
    </div>
    <?php foreach ($smsGateway as $gatWay) : ?>
        <div class="col-xl-3 col-sm-6">
            <div class="widget-six bg--white rounded-2 box--shadow2 h-100 p-3">
                <div class="widget-six__top justify-content-center border-bottom border--<?php echo $gatWay ?> p-2">
                    <img src="<?php echo buzz_get_image('images/sms_gateway/' . strtolower($gatWay) . '.png') ?>" class="gateway-thumb" alt="<?php esc_html_e(ucfirst($gatWay)) ?>">
                </div>
                <div class="widget-six__bottom mt-3">
                    <h5><?php esc_html_e(ucfirst($gatWay)) ?></h5>
                    <a href="<?php echo buzz_route_link('admin.setting.notification.sms'); ?>&amp;sms_method=<?php echo $gatWay ?>" class="btn btn-outline--primary btn-sm"><?php esc_html_e('Configure', BUZZLAB_PLUGIN_NAME); ?></a>
                </div>
            </div>
        </div>
    <?php endforeach ?>
</div>