<?php
buzz_layout('admin/layouts/master');
?>
<div class="row">
    <div class="col-lg-12">
        <div class="card b-radius--10 ">
            <div class="card-body">
                <ul class="list-group mb-3">
                    <li class="list-group-item d-flex flex-wrap justify-content-between">
                        <span class="fw-bold"><?php esc_html_e('Email To',BUZZLAB_PLUGIN_NAME); ?>:</span>
                        <span><?php esc_html_e($email->email) ?><span>
                    </li>
                    <li class="list-group-item d-flex flex-wrap justify-content-between">
                        <span class="fw-bold"><?php esc_html_e('Subject',BUZZLAB_PLUGIN_NAME); ?>:</span>
                        <span><?php esc_html_e($email->subject) ?></span>
                    </li>
                    <li class="list-group-item d-flex flex-wrap justify-content-between">
                        <span class="fw-bold"><?php esc_html_e('Initiated',BUZZLAB_PLUGIN_NAME); ?>:</span>
                        <span class="text-end">
                        <?php echo buzz_show_date_time($email->created_at) ?> <br> <small> <?php echo buzz_diff_for_humans($email->created_at) ?>  </small>
                        </span>
                    </li>
                    <li class="list-group-item d-flex flex-wrap justify-content-between">
                        <span class="fw-bold"><?php esc_html_e('Message',BUZZLAB_PLUGIN_NAME); ?>:</span>
                        <span> <?php  esc_html_e($email->message); ?><span>
                    </li>
                    <?php if($email->status == 9): ?>
                    <li class="list-group-item d-flex flex-wrap justify-content-between">
                        <span class="fw-bold"><?php esc_html_e('Fail Reason',BUZZLAB_PLUGIN_NAME); ?>:</span>
                        <span class="text--danger"><?php esc_html_e($email->fail_reason) ?><span>
                    </li>
                    <?php endif ?>
                </ul>
               
            </div>
        </div>
    </div>
</div>

<?php
    $html = '<a href="'.buzz_route_link('admin.email.history').'" class="btn btn-outline--primary">
    <i class="las la-list"></i> '.esc_html('Email History').'
    </a>';
    buzz_push_breadcrumb($html);
?>
