<?php

namespace Buzzlab\Controllers\Admin;

use Buzzlab\Controllers\Controller;
use Buzzlab\Models\Batch;

class BatchController extends Controller
{
    public function emailBatch()
    {
        $pageTitle = 'Manage Email Batch';
        $batches   = Batch::where('type', 1)->orderBy('id', 'DESC')->paginate(buzz_paginate());
        $this->view('admin/batch/email_batch', compact('pageTitle', 'batches'));
    }
    public function smsBatch()
    {
        $pageTitle = 'Manage SMS Batch';
        $batches   = Batch::where('type', 2)->orderBy('id', 'DESC')->paginate(buzz_paginate());
        $this->view('admin/batch/sms_batch', compact('pageTitle', 'batches'));
    }

}
