<div class="sidebar bg--dark">
    <button class="res-sidebar-close-btn"><i class="las la-times"></i></button>
    <div class="sidebar__inner">
        <div class="sidebar__logo">
            <a href="<?php menu_page_url(BUZZLAB_PLUGIN_NAME); ?>" class="sidebar__main-logo"><img src="<?php echo buzz_asset('global/images/logo.png'); ?>" alt="Logo"></a>
        </div>

        <div class="sidebar__menu-wrapper position-relative" id="sidebar__menuWrapper">
            <ul class="sidebar__menu">

                <li class="sidebar-menu-item <?php buzz_menu_active('admin.buzzlab', dashboard: true) ?>">
                    <a href="<?php menu_page_url(BUZZLAB_PLUGIN_NAME) ?>" class="nav-link">
                        <i class="menu-icon las la-home"></i>
                        <span class="menu-title"><?php esc_html_e('Dashboard', BUZZLAB_PLUGIN_NAME) ?></span>
                    </a>
                </li>

                <li class="sidebar-menu-item sidebar-dropdown">
                    <a href="javascript:void(0)" class="<?php buzz_menu_active([
                                                            'admin.contact.all',
                                                            'admin.contact.email',
                                                            'admin.contact.sms'
                                                        ], 3) ?>">
                        <i class="menu-icon las la-id-card"></i>
                        <span class="menu-title"><?php esc_html_e('Manage Contact', BUZZLAB_PLUGIN_NAME); ?></span>
                    </a>
                    <div class="sidebar-submenu <?php buzz_menu_active([
                                                    'admin.contact.all',
                                                    'admin.contact.email',
                                                    'admin.contact.sms'
                                                ], 2) ?>">
                        <ul>
                            <li class="sidebar-menu-item <?php buzz_menu_active(['admin.contact.all']) ?>">
                                <a href="<?php echo buzz_route_link('admin.contact.all') ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('All Contact', BUZZLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-menu-item <?php buzz_menu_active(['admin.contact.email']) ?>">
                                <a href="<?php echo buzz_route_link('admin.contact.email') ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Email Contact', BUZZLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-menu-item <?php buzz_menu_active(['admin.contact.sms']) ?>">
                                <a href="<?php echo buzz_route_link('admin.contact.sms') ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('SMS Contact', BUZZLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </li>

                <li class="sidebar-menu-item sidebar-dropdown">
                    <a href="javascript:void(0)" class="<?php buzz_menu_active([
                                                            'admin.group.email',
                                                            'admin.group.sms',
                                                            'admin.group.contact.view',
                                                            'admin.group.all',
                                                            'admin.group.banned'
                                                        ], 3) ?>">
                        <i class="menu-icon las la-layer-group"></i>
                        <span class="menu-title"><?php esc_html_e('Manage Group', BUZZLAB_PLUGIN_NAME); ?></span>
                    </a>
                    <div class="sidebar-submenu <?php buzz_menu_active([
                                                    'admin.group.email',
                                                    'admin.group.sms',
                                                    'admin.group.contact.view',
                                                    'admin.group.all',
                                                    'admin.group.banned'
                                                ], 2) ?>">
                        <ul>
                            <li class="sidebar-menu-item <?php buzz_menu_active(['admin.group.email']) ?>">
                                <a href="<?php echo buzz_route_link('admin.group.email') ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Email Group', BUZZLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-menu-item <?php buzz_menu_active(['admin.group.sms']) ?>">
                                <a href="<?php echo buzz_route_link('admin.group.sms') ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('SMS Group', BUZZLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </li>

                <li class="sidebar-menu-item sidebar-dropdown">
                    <a href="javascript:void(0)" class="<?php buzz_menu_active([
                                                            'admin.email.history',
                                                            'admin.email.send.form',
                                                            'admin.email.view'
                                                        ], 3) ?>">
                        <i class="menu-icon las la-mail-bulk"></i>
                        <span class="menu-title"><?php esc_html_e('Manage Send Email', BUZZLAB_PLUGIN_NAME); ?></span>
                    </a>
                    <div class="sidebar-submenu <?php buzz_menu_active([
                                                    'admin.email.history',
                                                    'admin.email.send.form',
                                                    'admin.email.view'
                                                ], 2) ?>">
                        <ul>
                            <li class="sidebar-menu-item <?php buzz_menu_active(['admin.email.send.form']) ?>">
                                <a href="<?php echo buzz_route_link('admin.email.send.form') ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Send Email', BUZZLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-menu-item <?php buzz_menu_active(['admin.email.history']) ?>">
                                <a href="<?php echo buzz_route_link('admin.email.history') ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Email History', BUZZLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </li>

                <li class="sidebar-menu-item sidebar-dropdown">
                    <a href="javascript:void(0)" class="<?php buzz_menu_active([
                                                            'admin.sms.history',
                                                            'admin.sms.send.form',
                                                            'admin.sms.view'
                                                        ], 3) ?>">
                        <i class="menu-icon las la-sms"></i>
                        <span class="menu-title"><?php esc_html_e('Manage Send SMS', BUZZLAB_PLUGIN_NAME); ?></span>
                    </a>
                    <div class="sidebar-submenu <?php buzz_menu_active([
                                                    'admin.sms.history',
                                                    'admin.sms.send.form',
                                                    'admin.sms.view'
                                                ], 2) ?>">
                        <ul>
                            <li class="sidebar-menu-item <?php buzz_menu_active(['admin.sms.send.form']) ?>">
                                <a href="<?php echo buzz_route_link('admin.sms.send.form') ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Send SMS', BUZZLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-menu-item <?php buzz_menu_active(['admin.sms.history']) ?>">
                                <a href="<?php echo buzz_route_link('admin.sms.history') ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('SMS History', BUZZLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </li>

                <li class="sidebar-menu-item sidebar-dropdown">
                    <a href="javascript:void(0)" class="<?php buzz_menu_active([
                                                            'admin.batch.email',
                                                            'admin.batch.sms'
                                                        ], 3) ?>">
                        <i class="menu-icon lab la-battle-net"></i>
                        <span class="menu-title"><?php esc_html_e('Notification Batch', BUZZLAB_PLUGIN_NAME); ?></span>
                    </a>
                    <div class="sidebar-submenu <?php buzz_menu_active([
                                                    'admin.batch.email',
                                                    'admin.batch.sms'
                                                ], 2) ?>">
                        <ul>
                            <li class="sidebar-menu-item <?php buzz_menu_active(['admin.batch.email']) ?>">
                                <a href="<?php echo buzz_route_link('admin.batch.email') ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Email Batch', BUZZLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-menu-item <?php buzz_menu_active(['admin.batch.sms']) ?>">
                                <a href="<?php echo buzz_route_link('admin.batch.sms') ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('SMS Batch', BUZZLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </li>

                <li class="sidebar__menu-header"><?php esc_html_e('Settings', BUZZLAB_PLUGIN_NAME); ?></li>

                <li class="sidebar-menu-item sidebar-dropdown">
                    <a href="javascript:void(0)" class="<?php buzz_menu_active(['admin.setting.notification.global', 'admin.setting.notification.email', 'admin.setting.notification.sms', 'admin.setting.notification.templates'], 3); ?>">
                        <i class="menu-icon las la-bell"></i>
                        <span class="menu-title"><?php esc_html_e('Email & SMS Setting', BUZZLAB_PLUGIN_NAME); ?></span>
                    </a>
                    <div class="sidebar-submenu <?php buzz_menu_active(['admin.setting.notification.global', 'admin.setting.notification.email', 'admin.setting.notification.sms', 'admin.setting.notification.templates'], 2); ?> ">
                        <ul>
                            <li class="sidebar-menu-item <?php buzz_menu_active('admin.setting.notification.global'); ?> ">
                                <a href="<?php echo buzz_route_link('admin.setting.notification.global'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Global Template', BUZZLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-menu-item <?php buzz_menu_active('admin.setting.notification.email'); ?> ">
                                <a href="<?php echo buzz_route_link('admin.setting.notification.email'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Email Setting', BUZZLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-menu-item <?php buzz_menu_active('admin.setting.notification.sms'); ?> ">
                                <a href="<?php echo buzz_route_link('admin.setting.notification.sms'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('SMS Setting', BUZZLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-menu-item <?php buzz_menu_active('admin.setting.notification.templates'); ?> ">
                                <a href="<?php echo buzz_route_link('admin.setting.notification.templates'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Notification Templates', BUZZLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </li>

                <li class="sidebar-menu-item <?php buzz_menu_active('admin.setting.index'); ?>">
                    <a href="<?php echo buzz_route_link('admin.setting.index'); ?>" class="nav-link">
                        <i class="menu-icon las la-life-ring"></i>
                        <span class="menu-title"><?php esc_html_e('General Setting', BUZZLAB_PLUGIN_NAME); ?></span>
                    </a>
                </li>

                <li class="sidebar-menu-item <?php buzz_menu_active('admin.setting.system.configuration'); ?>">
                    <a href="<?php echo buzz_route_link('admin.setting.system.configuration'); ?>" class="nav-link">
                        <i class="menu-icon las la-cog"></i>
                        <span class="menu-title"><?php esc_html_e('System Configuration', BUZZLAB_PLUGIN_NAME); ?></span>
                    </a>
                </li>

                <li class="sidebar-menu-item <?php buzz_menu_active('admin.setting.logo.icon') ?>">
                    <a href="<?php echo buzz_route_link('admin.setting.logo.icon') ?>" class="nav-link">
                        <i class="menu-icon las la-images"></i>
                        <span class="menu-title"><?php esc_html_e('Logo & Favicon', BUZZLAB_PLUGIN_NAME); ?></span>
                    </a>
                </li>



                <li class="sidebar-menu-item  <?php buzz_menu_active('admin.request.report') ?>">
                    <a href="<?php echo buzz_route_link('admin.request.report') ?>" class="nav-link" data-default-url="<?php echo buzz_route_link('admin.request.report') ?>">
                        <i class="menu-icon las la-bug"></i>
                        <span class="menu-title"><?php esc_html_e('Report & Request', BUZZLAB_PLUGIN_NAME); ?></span>
                    </a>
                </li>

            </ul>
            <div class="text-center mb-5 text-uppercase">
                <span class="text--primary"><?php esc_html_e(buzz_system_details()['name'], BUZZLAB_PLUGIN_NAME) ?></span>
                <span class="text--success"><?php esc_html_e('V', BUZZLAB_ROOT) ?><?php esc_html_e(buzz_system_details()['version'], BUZZLAB_PLUGIN_NAME) ?></span>
            </div>
        </div>
    </div>
    <a href="<?php echo admin_url(); ?>" class="back-dashboard__button btn btn--info"> <i class="fab fa-wordpress"></i> <?php esc_html_e('Back To WordPress', BUZZLAB_PLUGIN_NAME); ?></a>
</div>
<!-- sidebar end -->


<script>
    jQuery(document).ready(function($) {
        if ($('li').hasClass('active')) {
            $('#sidebar__menuWrapper').animate({
                scrollTop: eval($(".active").offset().top - 320)
            }, 500);
        }
    });
</script>