<?php buzz_layout('admin/layouts/master'); ?>
<div class="row mb-none-30">
    <div class="col-lg-12 col-md-12 mb-30">
        <div class="card">
            <form action="<?php echo buzz_route_link('admin.setting.store'); ?>" method="POST">
                <?php buzz_nonce_field('admin.setting.store') ?>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="buzzlab_email_batch_prefix"><?php esc_html_e('Email Batch Prefix', BUZZLAB_PLUGIN_NAME); ?></label>
                                <input class="form-control" type="text" name="buzzlab_email_batch_prefix" value="<?php echo get_option('buzzlab_email_batch_prefix'); ?>" id="buzzlab_email_batch_prefix">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="buzzlab_sms_batch_prefix"><?php esc_html_e('SMS Batch Prefix', BUZZLAB_PLUGIN_NAME); ?></label>
                                <input class="form-control" type="text" name="buzzlab_sms_batch_prefix" value="<?php echo get_option('buzzlab_sms_batch_prefix'); ?>" id="buzzlab_sms_batch_prefix">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card-footer">
                    <button type="submit" class="btn btn--primary h-45 w-100"><?php esc_html_e('Submit', BUZZLAB_PLUGIN_NAME); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>